Page MenuHomeFreeBSD

gifconfig_gif0 no longer works, document replacement
ClosedPublic

Authored by karels on Nov 17 2017, 5:07 AM.

Details

Summary

rc.conf(5) documents the gifconfig_<interface> keyword, which is
no longer implemented. Document the replacement, which works with
cloned_interfaces as well.

Test Plan

tested with FreeBSD 11.1

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 12806
Build 13073: arc lint + arc unit

Event Timeline

karels created this revision.Nov 17 2017, 5:07 AM
bcr added a subscriber: bcr.Nov 17 2017, 8:33 AM

This is a content change, so you need to bump the .Dd to the date of the commit.

karels updated this revision to Diff 35369.Nov 17 2017, 10:01 AM

Update Dd date

wblock added a subscriber: wblock.Nov 17 2017, 4:16 PM
wblock added inline comments.
share/man/man5/rc.conf.5
1804

Not yours, I know, but "is assumed to exist" is terrible. Assumed by who? This kind of says "the code makes assumptions that will probably break and we are just letting you know."

Is there any reason this can't be changed to just

variable exists for each value of
karels added inline comments.Nov 18 2017, 3:51 AM
share/man/man5/rc.conf.5
1804

Good point. How about "variable should exist for each value"?

karels added inline comments.Nov 18 2017, 3:07 PM
share/man/man5/rc.conf.5
1804

Or maybe " variable should be defined for each value of"? The variable needs to be defined in /etc/rc.conf.

wblock added inline comments.Nov 18 2017, 4:36 PM
share/man/man5/rc.conf.5
1804

Hm, I did not take the wording to mean that the user is supposed to define those variables, but that the system did it. An example of the importance of wording, I guess.

Anyway, let's just say that in an imperative way (roughly paraphrasing):

For each tunnel interface, set a variable named
.Va ifconfig_ Ns Aq Ar interface
to the values desired to configure the link layer of the tunnel with the

A complete example would be good here. The one given does not show an actual example of actual naming of the variable.

1810–1812

End this sentence here:

.Xr ifconfig 8 .
1811

And use this for the full example:

For example:
.Bd -literal -offset indent
ifconfig_gif0="blah blah"
.Ed

With real values for the variable name and contents of the quotes. Actually, looking at that, it makes me more confused, and I'm not sure if the name of the variable on line 1820 is correct. All the more reason for a literal example.

karels updated this revision to Diff 35420.Nov 18 2017, 6:11 PM

Another attempt to clarify, flesh out example.

karels added inline comments.Nov 18 2017, 6:16 PM
share/man/man5/rc.conf.5
1811

Sorry, I hadn't noticed this comment before uploading a new version. I can touch up the macro usage, but will wait for comments on the content.

karels added inline comments.Nov 18 2017, 6:41 PM
share/man/man5/rc.conf.5
1811

I tried the suggested macros, and they put a blank line before the display but not after, which looks odd. Suggestions for fixing this welcome; i don't think this is a whole line of space in the typeset version.

karels added inline comments.Nov 24 2017, 10:03 PM
share/man/man5/rc.conf.5
1811

Warren (or anyone), suggestions on how to do this display with reasonable spacing (same before and after)? Any comments on the text?

bjk added a subscriber: bjk.Nov 25 2017, 6:14 PM
bjk added inline comments.
share/man/man5/rc.conf.5
1811

I've seen some other places that put a '.Pp' after the '.Ed' (on its own line), which seems to add the desired spacing.

karels updated this revision to Diff 35789.Nov 25 2017, 11:05 PM

Fix macro usage, update text

karels updated this revision to Diff 35896.Nov 27 2017, 11:03 PM

Update date.

I forgot to update the date in the last update. I'll optimistically
set it to Nov 30 so I might not have to update if the review is approved.

dab accepted this revision.Dec 9 2017, 2:15 AM
This revision is now accepted and ready to land.Dec 9 2017, 2:15 AM
cy added a subscriber: cy.Dec 9 2017, 6:26 AM
This revision was automatically updated to reflect the committed changes.